Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2056::/16
First address
2056::
Last address
2056:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2056:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
6.5.0.2.ip6.arpa
Split into smaller subnets/24

2056::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
12056::/242056:ff:ffff:ffff:ffff:ffff:ffff:ffff
22056:100::/242056:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32056:200::/242056:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42056:300::/242056:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52056:400::/242056:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62056:500::/242056:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72056:600::/242056:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82056:700::/242056:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92056:800::/242056:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102056:900::/242056:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112056:a00::/242056:aff:ffff:ffff:ffff:ffff:ffff:ffff
122056:b00::/242056:bff:ffff:ffff:ffff:ffff:ffff:ffff
132056:c00::/242056:cff:ffff:ffff:ffff:ffff:ffff:ffff
142056:d00::/242056:dff:ffff:ffff:ffff:ffff:ffff:ffff
152056:e00::/242056:eff:ffff:ffff:ffff:ffff:ffff:ffff
162056:f00::/242056:fff:ffff:ffff:ffff:ffff:ffff:ffff
172056:1000::/242056:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182056:1100::/242056:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192056:1200::/242056:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202056:1300::/242056:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212056:1400::/242056:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222056:1500::/242056:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232056:1600::/242056:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242056:1700::/242056:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252056:1800::/242056:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262056:1900::/242056:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272056:1a00::/242056:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282056:1b00::/242056:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292056:1c00::/242056:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302056:1d00::/242056:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312056:1e00::/242056:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322056:1f00::/242056:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332056:2000::/242056:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342056:2100::/242056:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352056:2200::/242056:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362056:2300::/242056:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372056:2400::/242056:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382056:2500::/242056:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392056:2600::/242056:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402056:2700::/242056:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412056:2800::/242056:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422056:2900::/242056:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432056:2a00::/242056:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442056:2b00::/242056:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452056:2c00::/242056:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462056:2d00::/242056:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472056:2e00::/242056:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482056:2f00::/242056:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492056:3000::/242056:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502056:3100::/242056:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512056:3200::/242056:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522056:3300::/242056:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532056:3400::/242056:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542056:3500::/242056:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552056:3600::/242056:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562056:3700::/242056:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572056:3800::/242056:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582056:3900::/242056:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592056:3a00::/242056:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602056:3b00::/242056:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612056:3c00::/242056:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622056:3d00::/242056:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632056:3e00::/242056:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642056:3f00::/242056:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652056:4000::/242056:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662056:4100::/242056:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672056:4200::/242056:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682056:4300::/242056:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692056:4400::/242056:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702056:4500::/242056:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712056:4600::/242056:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722056:4700::/242056:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732056:4800::/242056:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742056:4900::/242056:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752056:4a00::/242056:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762056:4b00::/242056:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772056:4c00::/242056:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782056:4d00::/242056:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792056:4e00::/242056:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802056:4f00::/242056:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812056:5000::/242056:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822056:5100::/242056:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832056:5200::/242056:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842056:5300::/242056:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852056:5400::/242056:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862056:5500::/242056:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872056:5600::/242056:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882056:5700::/242056:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892056:5800::/242056:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902056:5900::/242056:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912056:5a00::/242056:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922056:5b00::/242056:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932056:5c00::/242056:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942056:5d00::/242056:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952056:5e00::/242056:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962056:5f00::/242056:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972056:6000::/242056:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982056:6100::/242056:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992056:6200::/242056:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002056:6300::/242056:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012056:6400::/242056:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022056:6500::/242056:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032056:6600::/242056:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042056:6700::/242056:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052056:6800::/242056:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062056:6900::/242056:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072056:6a00::/242056:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082056:6b00::/242056:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092056:6c00::/242056:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102056:6d00::/242056:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112056:6e00::/242056:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122056:6f00::/242056:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132056:7000::/242056:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142056:7100::/242056:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152056:7200::/242056:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162056:7300::/242056:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172056:7400::/242056:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182056:7500::/242056:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192056:7600::/242056:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202056:7700::/242056:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212056:7800::/242056:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222056:7900::/242056:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232056:7a00::/242056:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242056:7b00::/242056:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252056:7c00::/242056:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262056:7d00::/242056:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272056:7e00::/242056:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282056:7f00::/242056:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292056:8000::/242056:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302056:8100::/242056:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312056:8200::/242056:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322056:8300::/242056:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332056:8400::/242056:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342056:8500::/242056:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352056:8600::/242056:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362056:8700::/242056:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372056:8800::/242056:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382056:8900::/242056:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392056:8a00::/242056:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402056:8b00::/242056:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412056:8c00::/242056:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422056:8d00::/242056:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432056:8e00::/242056:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442056:8f00::/242056:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452056:9000::/242056:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462056:9100::/242056:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472056:9200::/242056:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482056:9300::/242056:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492056:9400::/242056:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502056:9500::/242056:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512056:9600::/242056:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522056:9700::/242056:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532056:9800::/242056:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542056:9900::/242056:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552056:9a00::/242056:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562056:9b00::/242056:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572056:9c00::/242056:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582056:9d00::/242056:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592056:9e00::/242056:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602056:9f00::/242056:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612056:a000::/242056:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622056:a100::/242056:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632056:a200::/242056:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642056:a300::/242056:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652056:a400::/242056:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662056:a500::/242056:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672056:a600::/242056:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682056:a700::/242056:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692056:a800::/242056:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702056:a900::/242056:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712056:aa00::/242056:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722056:ab00::/242056:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732056:ac00::/242056:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742056:ad00::/242056:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752056:ae00::/242056:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762056:af00::/242056:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772056:b000::/242056:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782056:b100::/242056:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792056:b200::/242056:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802056:b300::/242056:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812056:b400::/242056:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822056:b500::/242056:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832056:b600::/242056:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842056:b700::/242056:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852056:b800::/242056:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862056:b900::/242056:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872056:ba00::/242056:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882056:bb00::/242056:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892056:bc00::/242056:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902056:bd00::/242056:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912056:be00::/242056:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922056:bf00::/242056:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932056:c000::/242056:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942056:c100::/242056:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952056:c200::/242056:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962056:c300::/242056:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972056:c400::/242056:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982056:c500::/242056:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992056:c600::/242056:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002056:c700::/242056:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012056:c800::/242056:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022056:c900::/242056:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032056:ca00::/242056:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042056:cb00::/242056:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052056:cc00::/242056:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062056:cd00::/242056:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072056:ce00::/242056:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082056:cf00::/242056:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092056:d000::/242056:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102056:d100::/242056:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112056:d200::/242056:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122056:d300::/242056:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132056:d400::/242056:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142056:d500::/242056:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152056:d600::/242056:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162056:d700::/242056:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172056:d800::/242056:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182056:d900::/242056:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192056:da00::/242056:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202056:db00::/242056:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212056:dc00::/242056:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222056:dd00::/242056:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232056:de00::/242056:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242056:df00::/242056:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252056:e000::/242056:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262056:e100::/242056:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272056:e200::/242056:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282056:e300::/242056:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292056:e400::/242056:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302056:e500::/242056:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312056:e600::/242056:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322056:e700::/242056:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332056:e800::/242056:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342056:e900::/242056:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352056:ea00::/242056:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362056:eb00::/242056:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372056:ec00::/242056:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382056:ed00::/242056:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392056:ee00::/242056:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402056:ef00::/242056:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412056:f000::/242056:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422056:f100::/242056:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432056:f200::/242056:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442056:f300::/242056:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452056:f400::/242056:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462056:f500::/242056:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472056:f600::/242056:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482056:f700::/242056:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492056:f800::/242056:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502056:f900::/242056:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512056:fa00::/242056:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522056:fb00::/242056:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532056:fc00::/242056:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542056:fd00::/242056:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552056:fe00::/242056:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562056:ff00::/242056:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses